Check permissions
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/check-permissions
-
GET
/s/{space_id}/api/fleet/check-permissions
Auth
Check whether the current user has the required permissions to use Fleet. Optionally verifies Fleet Server setup privileges.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
fleetServerSetup
boolean
-
When true, check Fleet Server setup privileges in addition to standard Fleet privileges
-
error
enum
-
Values:
MISSING_SECURITY
MISSING_PRIVILEGES
MISSING_FLEET_SERVER_SETUP_PRIVILEGES
-
attributes
object
required
Thank you for your feedback.